#include <iostream>
#include <stdlib.h>

using namespace std;

unsigned int p;

string is(unsigned int n,string m)
{
    if(n<10)
    {
        p=n;
        switch(n)
        {
            case 0:
                return m+"0";
            case 1:
                return m+"1";
            case 2:
                return m+"2";
            case 3:
                return m+"3";
            case 4:
                return m+"4";
            case 5:
                return m+"5";
            case 6:
                return m+"6";
            case 7:
                return m+"7";
            case 8:
                return m+"8";
            case 9:
                return m+"9";
        }
    }
    return m+is(n/10,"")+is(n%10,"");
}

int main()
{
    unsigned long int a,b,c;
    cin>>a>>b>>c;
    unsigned short n1,n2,n3;
    unsigned int la,lb,lc;
    string ans;
    string sa=is(a,"");
    la=sa.length();
    n1=p;
    string sb=is(b,"");
    lb=sb.length();
    n2=p;
    string sc=is(c,"");
    lc=sc.length();
    n3=p;
    if(n1>n2 && n1>n3)
    {
        if(n2>n3)
        {
            ans=sa+sb+sc;
        }
        else if(n2==n3)
        {
            if(lc>lb)ans=sa+sc+sb;
            else ans=sa+sb+sc;
        }
        else ans=sa+sc+sb;
    }
    else if(n2>n1 && n2>n3)
    {
        if(n1>n3)
        {
            ans=sb+sa+sc;
        }
        else if(n1==n3)
        {
            if(lc>la)ans=sb+sc+sa;
            else ans=sb+sa+sc;
        }
        else ans=sb+sc+sa;
    }
    else
    {

    };
    cout<<ans;
    //cout<<"n1 = "<<n1<<endl<<"n2 = "<<n2<<endl<<"n3 = "<<n3<<endl;
    return 0;
}